<!--
    Developer: John Colani
    Github:https://github.com/johnhcolani
-->

A Flutter package for auto-scrolling images.
Compatible with iOS, Android, MacOS & Web

## Features

- A Flutter package for auto-scrolling images.
- This package provides a widget for displaying a horizontal list of images
  that automatically scrolls.
- Users can customize the number of items, item width, and the duration of auto-scrolling.
- For web page take care of width of SizedBox to see image scrolling

## Getting started
Begin by creating an 'assets' folder in the root of your app. Populate this folder with images, naming them in the format 'image_0.png' or any other supported image format, such as 'assets/image_0.png'.

Next, include the following lines in your 'pubspec.yaml' as dependencies:

![img.png](assets%2Fimg.png)
```dart
  dependencies:
    flutter:
      sdk: flutter

    cupertino_icons: ^1.0.6
    auto_scroll_image: ^0.1.1-dev


  assets:
    - assets/



```



import:

```dart
    import 'package:auto_scroll_image/auto_scroll_image.dart';


```




## Usage
You can take a look at example bellow and customise it with your needs;


```dart
class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
              appBar: AppBar(
                title: const Text('Auto Scroll Image'),
              ),
              body: AutoScrollImage(
                itemCount: 10, // Customize itemCount
                itemWidth: 50.0, // Customize itemWidth
                autoScrollDuration: Duration(seconds: 2), // Customize autoScrollDuration
                timerInterval: Duration(seconds: 2), // Customize timerInterval
    ),
    );
  }
}



```

## Additional information
This package facilitates seamless image scrolling on your screen, 
making it ideal for showcasing advertisements or demonstrating your
app's capabilities. Enhance user engagement by effortlessly presenting
a dynamic list of images with this easy-to-use solution,
